<?xml version="1.0" encoding="UTF-8"?>
<genmodel:GenModel xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:genmodel="http://www.eclipse.org/uml2/2.2.0/GenModel"
    copyrightText="Copyright (c) 2016 ALL4TEC &amp; CEA LIST.&#xD;&#xA;All rights reserved. This program and the accompanying materials&#xD;&#xA;are made available under the terms of the Eclipse Public License v1.0&#xD;&#xA;which accompanies this distribution, and is available at&#xD;&#xA;https://www.eclipse.org/legal/epl-2.0/&#xD;&#xA;  &#xD;&#xA;Contributors:&#xD;&#xA;     ALL4TEC &amp; CEA LIST - initial API and implementation"
    modelDirectory="/org.polarsys.esf.fmea.profile/src-gen/main/java/" creationIcons="false"
    editDirectory="/org.polarsys.esf.fmea.profile.edit/src-gen/main/java/" editorDirectory="/org.polarsys.esf.fmea.profile.editor/src-gen/main/java/"
    modelPluginID="org.polarsys.esf.fmea.profile" modelName="ESFFMEA" nonNLSMarkers="true"
    rootExtendsClass="org.eclipse.emf.ecore.impl.MinimalEObjectImpl$Container" commentFormatting="true"
    testsDirectory="/org.polarsys.esf.fmea.profile.tests/src-gen/main/java/" importerID="org.eclipse.uml2.uml.ecore.importer"
    complianceLevel="7.0" copyrightFields="false" colorProviders="true" fontProviders="true"
    usedGenPackages="../../../../../../org.eclipse.emf.ecore/model/Ecore.genmodel#//ecore ../../../../../../org.polarsys.esf.core.profile.esfarchitectureconcepts/src/main/resources/models/genmodel/esfarchitectureconcepts.genmodel#//esfarchitectureconcepts ../../../../../../org.polarsys.esf.core.profile.esfcore/src/main/resources/models/genmodel/esfcore.genmodel#//esfcore ../../../../../../org.polarsys.esf.core.profile.esfproperties/src/main/resources/models/genmodel/esfproperties.genmodel#//esfproperties ../../../../../../org.polarsys.esf.core.profile.esfsafetyconcepts/src/main/resources/models/genmodel/esfsafetyconcepts.genmodel#//esfsafetyconcepts ../../../../../../org.eclipse.uml2.types/model/Types.genmodel#//types ../../../../../../org.eclipse.uml2.uml/model/UML.genmodel#//uml"
    interfaceNamePattern="I{0}" classNamePattern="{0}" operationReflection="true"
    importOrganizing="true">
  <genAnnotations source="http://www.eclipse.org/emf/2002/GenModel/importer/org.eclipse.uml2.uml.ecore.importer">
    <details key="OPPOSITE_ROLE_NAMES" value="IGNORE"/>
    <details key="DUPLICATE_FEATURES" value="DISCARD"/>
    <details key="ANNOTATION_DETAILS" value="PROCESS"/>
    <details key="PROPERTY_DEFAULT_EXPRESSIONS" value="IGNORE"/>
    <details key="DUPLICATE_FEATURE_INHERITANCE" value="DISCARD"/>
    <details key="COMMENTS" value="PROCESS"/>
    <details key="DERIVED_FEATURES" value="PROCESS"/>
    <details key="SUPER_CLASS_ORDER" value="PROCESS"/>
    <details key="DUPLICATE_OPERATION_INHERITANCE" value="DISCARD"/>
    <details key="REDEFINING_OPERATIONS" value="REPORT"/>
    <details key="INVARIANT_CONSTRAINTS" value="PROCESS"/>
    <details key="UNION_PROPERTIES" value="REPORT"/>
    <details key="DUPLICATE_OPERATIONS" value="DISCARD"/>
    <details key="NON_API_INVARIANTS" value="IGNORE"/>
    <details key="CAMEL_CASE_NAMES" value="IGNORE"/>
    <details key="SUBSETTING_PROPERTIES" value="REPORT"/>
    <details key="OPERATION_BODIES" value="IGNORE"/>
    <details key="ECORE_TAGGED_VALUES" value="PROCESS"/>
    <details key="UNTYPED_PROPERTIES" value="REPORT"/>
    <details key="REDEFINING_PROPERTIES" value="REPORT"/>
    <details key="INVOCATION_DELEGATES" value="IGNORE"/>
    <details key="VALIDATION_DELEGATES" value="IGNORE"/>
  </genAnnotations>
  <foreignModel>../profile/esffmea.profile.uml</foreignModel>
  <genPackages xsi:type="genmodel:GenPackage" prefix="ESFFMEA" basePackage="org.polarsys.esf"
      disposableProviderFactory="true" ecorePackage="esffmea.ecore#/">
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="esffmea.ecore#//SFMEA">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esffmea.ecore#//SFMEA/base_Package"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esffmea.ecore#//SFMEA/sBlocksFMEAList"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="esffmea.ecore#//SBlockFMEA">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esffmea.ecore#//SBlockFMEA/sBlock"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EAttribute esffmea.ecore#//SBlockFMEA/criticality"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esffmea.ecore#//SBlockFMEA/base_Class"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esffmea.ecore#//SBlockFMEA/sFailureModesFMEAList"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="esffmea.ecore#//AbstractSFMEAElement"/>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="esffmea.ecore#//SFailureModeFMEA">
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute esffmea.ecore#//SFailureModeFMEA/remarks"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EAttribute esffmea.ecore#//SFailureModeFMEA/initialCriticality"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EAttribute esffmea.ecore#//SFailureModeFMEA/finalCriticality"/>
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute esffmea.ecore#//SFailureModeFMEA/initialOccurence"/>
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute esffmea.ecore#//SFailureModeFMEA/finalOccurence"/>
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute esffmea.ecore#//SFailureModeFMEA/initialSeverity"/>
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute esffmea.ecore#//SFailureModeFMEA/finalSeverity"/>
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute esffmea.ecore#//SFailureModeFMEA/isDetectable"/>
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute esffmea.ecore#//SFailureModeFMEA/initialDetectability"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esffmea.ecore#//SFailureModeFMEA/base_Property"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esffmea.ecore#//SFailureModeFMEA/sFailureMode"/>
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute esffmea.ecore#//SFailureModeFMEA/initialPreventiveActions"/>
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute esffmea.ecore#//SFailureModeFMEA/finalPreventiveActions"/>
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute esffmea.ecore#//SFailureModeFMEA/localEffects"/>
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute esffmea.ecore#//SFailureModeFMEA/causes"/>
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute esffmea.ecore#//SFailureModeFMEA/finalDetectability"/>
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute esffmea.ecore#//SFailureModeFMEA/systemEffects"/>
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute esffmea.ecore#//SFailureModeFMEA/customerEffects"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esffmea.ecore#//SFailureModeFMEA/sBlockFMEA"/>
    </genClasses>
  </genPackages>
</genmodel:GenModel>
